Package org.silverpeas.components.kmelia

## Class KmeliaPublicationHelper

- java.lang.Object
- - org.silverpeas.components.kmelia.KmeliaPublicationHelper

-     public class KmeliaPublicationHelper
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isCanBeCut​(String instanceId, String currentUserId, String profile, org.silverpeas.core.admin.user.model.User ownerDetail)` |
    `static boolean` | `isCreationAllowed​(org.silverpeas.core.node.model.NodePK pk, String profile)` |
    `static boolean` | `isPublicationsOnRootAllowed​(String instanceId)` |
    `static boolean` | `isRemovable​(String instanceId, String currentUserId, String profile, org.silverpeas.core.admin.user.model.User ownerDetail)` |
    `static boolean` | `isTreeEnabled​(String instanceId)` |
    `static boolean` | `isUserConsideredAsOwner​(String instanceId, String currentUserId, String profile, org.silverpeas.core.admin.user.model.User ownerDetail)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isUserConsideredAsOwner

          public static boolean isUserConsideredAsOwner​(String instanceId,
                                                        String currentUserId,
                                                        String profile,
                                                        org.silverpeas.core.admin.user.model.User ownerDetail)

    - #### isRemovable

          public static boolean isRemovable​(String instanceId,
                                            String currentUserId,
                                            String profile,
                                            org.silverpeas.core.admin.user.model.User ownerDetail)

    - #### isCanBeCut

          public static boolean isCanBeCut​(String instanceId,
                                           String currentUserId,
                                           String profile,
                                           org.silverpeas.core.admin.user.model.User ownerDetail)

    - #### isCreationAllowed

          public static boolean isCreationAllowed​(org.silverpeas.core.node.model.NodePK pk,
                                                  String profile)

    - #### isPublicationsOnRootAllowed

          public static boolean isPublicationsOnRootAllowed​(String instanceId)

    - #### isTreeEnabled

          public static boolean isTreeEnabled​(String instanceId)